Subject: Re: [RFC, PATCH 4/5]: netfilter+ipsec - policy lookup

From: Patrick McHardy <[email-masked]>
Date: Mon, 22 Mar 2004 03:29:45 +0100

Herbert Xu wrote:
> On Mon, Mar 22, 2004 at 12:34:11AM +0100, Patrick McHardy wrote:
>
>>Is it correct that __xfrm_route_forward will use NULL for the sock
>>parameter to xfrm_lookup even if the packet is from a local socket ?
> 
> No that would be wrong as socket policies won't be applied correctly.
> Forget about that idea :)

Thanks anyway, it reminded me to check for !(dst->flags & DST_NOXFRM)
before xfrm_lookup, I'm going to change this now.

Regards
Patrick